import { BackgroundCircle } from './BackgroundCircle.js';
import { Eyes } from './Eyes.js';
import { Mouth } from './Mouth.js';
import { Nose } from './Nose.js'
import { Facecontainer } from './Facecontainer.js';

export const Face = ({width, 
               height, 
               centerX, 
               centerY, 
               strokewidth, 
               eyeoffsetX, 
               eyeoffsetY, 
               eyer, 
               mouthwidth,
               mouthRadius,
               color,
               noseoffsetX,
               noseoffsetY,
               noser}) => (
  <Facecontainer
   width = {width}
   height = {height}
   centerX = {centerX}
   centerY = {centerY}
   color = {color}
   >
      <BackgroundCircle 
        radius = {centerY - strokewidth/2} 
        strokewidth = {strokewidth}
        color = {color}/>
   		<Eyes 
        eyeoffsetX = {eyeoffsetX}
        eyeoffsetY = {eyeoffsetY} 
        eyer = {eyer}
       />
      <Mouth 
        mouthRadius = {mouthRadius}
        mouthwidth = {mouthwidth}
        />
    	<Nose
        noseoffsetX  = {noseoffsetX}
        noseoffsetY = {noseoffsetY}
        noser = {noser}
        />
  </Facecontainer>
  );